/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the MessageOrderDetailsExpiration type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &MessageOrderDetailsExpiration{}

// MessageOrderDetailsExpiration struct for MessageOrderDetailsExpiration
type MessageOrderDetailsExpiration struct {
	Seconds int32 `json:"seconds"`
	Description string `json:"description"`
}

// NewMessageOrderDetailsExpiration instantiates a new MessageOrderDetailsExpiration object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewMessageOrderDetailsExpiration(seconds int32, description string) *MessageOrderDetailsExpiration {
	this := MessageOrderDetailsExpiration{}
	this.Seconds = seconds
	this.Description = description
	return &this
}

// NewMessageOrderDetailsExpirationWithDefaults instantiates a new MessageOrderDetailsExpiration object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewMessageOrderDetailsExpirationWithDefaults() *MessageOrderDetailsExpiration {
	this := MessageOrderDetailsExpiration{}
	return &this
}

// GetSeconds returns the Seconds field value
func (o *MessageOrderDetailsExpiration) GetSeconds() int32 {
	if o == nil {
		var ret int32
		return ret
	}

	return o.Seconds
}

// GetSecondsOk returns a tuple with the Seconds field value
// and a boolean to check if the value has been set.
func (o *MessageOrderDetailsExpiration) GetSecondsOk() (*int32, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Seconds, true
}

// SetSeconds sets field value
func (o *MessageOrderDetailsExpiration) SetSeconds(v int32) {
	o.Seconds = v
}

// GetDescription returns the Description field value
func (o *MessageOrderDetailsExpiration) GetDescription() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Description
}

// GetDescriptionOk returns a tuple with the Description field value
// and a boolean to check if the value has been set.
func (o *MessageOrderDetailsExpiration) GetDescriptionOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Description, true
}

// SetDescription sets field value
func (o *MessageOrderDetailsExpiration) SetDescription(v string) {
	o.Description = v
}

func (o MessageOrderDetailsExpiration) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o MessageOrderDetailsExpiration) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["seconds"] = o.Seconds
	toSerialize["description"] = o.Description
	return toSerialize, nil
}

type NullableMessageOrderDetailsExpiration struct {
	value *MessageOrderDetailsExpiration
	isSet bool
}

func (v NullableMessageOrderDetailsExpiration) Get() *MessageOrderDetailsExpiration {
	return v.value
}

func (v *NullableMessageOrderDetailsExpiration) Set(val *MessageOrderDetailsExpiration) {
	v.value = val
	v.isSet = true
}

func (v NullableMessageOrderDetailsExpiration) IsSet() bool {
	return v.isSet
}

func (v *NullableMessageOrderDetailsExpiration) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableMessageOrderDetailsExpiration(val *MessageOrderDetailsExpiration) *NullableMessageOrderDetailsExpiration {
	return &NullableMessageOrderDetailsExpiration{value: val, isSet: true}
}

func (v NullableMessageOrderDetailsExpiration) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableMessageOrderDetailsExpiration) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


